Priority: Normal % Done: 100%
Assignee: skyjake

Category: User experience

Target version: 1.15

Description

As a first step toward making #1600 a reality, it should be possible to start Doomsday directly in an officially supported way, without
needing any command line options or special tricks like setting environment variables.

The IWAD path must be specified somehow, as without it no games can be played. Perhaps make it possible to set it in Ring Zero
via the GUI?

Related issues:
Related to Feature #1586: Load/manage add-ons from the home screen Closed 2014-12-04

Associated revisions

Revision 44c2114b - 2015-02-12 18:00 - skyjake

Home|Ul: If needed, show a notice and button to pick the IWAD folder

If no games are found, the home screen now simply shows a notice
that tells the user to locate the IWAD folder.

This enables one to run Doomsday completely without command line
options or Snowberry (i.e., directly starting the executable), albeit
add-ons cannot still be accessed via the Doomsday Ul and resources can
only be loaded using console commands.

IssuelD #1684

History

#1 - 2013-12-18 13:03 - danij

skyjake wrote:

The IWAD path must be specified somehow, as without it no games can be played. Perhaps make it possible to set it in Ring Zero via the GUI?
This should be fairly easy to accomplish given that a) Doomsday already supports finding IWADs from a path defined using the DOOMWADPATH
environment variable and b) Qt provides the cross platform gputenv() for changing said environment variable.
Obviously in the long term we'd want a better solution but as a first step, such a simple solution may be all we need.

#2 - 2013-12-18 21:04 - vermil

Given that yourselves want users to be able to launch Dday without any lwads, | wonder if the best way to display the question to the user, would be a
button on Ring Zero called 'find Iwad folder' or something?

| personally think Dday should have as few prompts when they first run, as possible; if the Ul is truly well made and hence, easy to use, engine start
up prompts and tutorials shouldn't be needed.

#3 - 2015-02-12 09:05 - skyjake
- Assignee set to skyjake

- Target version setto 1.15

#4 - 2015-02-12 09:10 - skyjake

I'm still doing this for 1.15 because it should be quite simple in practice.

e |f there are no playable games, show a button that pops up a native file picker dialog so the user can locate the IWAD folder.
e Rerun game resource finding after the path has been changed.

e Check/implement the notifications for available game removal.

¢ Add a DE menu action for setting/changing the IWAD env path when in the Home screen.
I've already modified the behavior on Windows and OS X so that launching without arguments works correctly with regard to setting the basedir.
#5 - 2015-02-12 09:10 - skyjake
- Status changed from New to In Progress
#6 - 2015-02-12 12:10 - vermil
| don't know if this is the right place as such.
But I've always noticed that Ring Zero lacks a quit button (I'm thinking something like a button with an 'X', in the top right corner). | figure that while
coders will have Dday open in windowed mode along side various code/debugging windows, that the typical user will nearly always have Dday open
in full screen (I figure most players prefer to game in full screen).
| figure that now you are pushing this for 1.15, that a quit button on Ring Zero will be more sorely needed?
To continue on my Ul comments and perhaps outside the scope of 1.15; | also think the in game quit menu options could do with an option to return
to Ring Zero; as well as the standard press Y to quit or N to cancel, the addition of a say press, say, H to return to Ring Zero. | think this would
promote Ring Zero (i.e they would think 'o0o what's this third option that I've not seen in the original game or any other port..."), given that most users

probably still use Snowberry and thus skip Ring Zero.

The Doom 3 BFG Edition alters the Vanilla Doom quit dialog to add an option to return to it's game select frontend, alongside the normal quit program
completely option.

Now to arguably veer outside the scope of 1.15, I've also thought that the in game save/load game menu options could instead open the Ring Zero
save list, like the Multiplayer option currently does?

Certainly it would mean losing the Vanilla save/load menu's, though | figure the future plans for save games (it's my understanding that includes
screenshots and such) may well make then unsustainable anyway.

Not to mention that the current default save game names already scroll off the ends of the Vanilla save/load menu's and the Heretic/HeXen save/load
menu boxes have been visually broken for many versions.

Again | also think this would promote Ring Zero (i.e show users that they can load save games from any game and have more than 6 save games).
Of course, this would require Ring Zero to have saving dialog (currently, it can only load save games). This may also exaggerate the issue that Dday

currently expects a user to have the same add-ons loaded that they had when they saved the game or it will crash (i.e if the user is presented with
their saves from all games).

#7 - 2015-02-12 12:13 - vermil

I mean obviously, | know one can quit and unload games via the taskbar. But | debate users would like the options | mention above.
#8 - 2015-02-12 13:24 - skyjake
vermil wrote:

[quit button in Home]

Yeah | suppose it would be convenient if such a button was visible in the Home screen when in fullscreen mode and when the task bar is hidden.
Under other circumstances it seems redundant. (BTW, eventually the task bar will be hidden by default when launching to Home screen.)

This could be a 1.16 feature: #1974

Option to return to Home screen in game's Quit confirmation

An option to just unload the game would be reasonable, | suppose, particularly when Snowberry is gone. #1975

game/load menu

Yes, the old menu will be replaced with one that uses the new Ul widgets. The menus that appear in the Home screen and via the Main Menu will
likely be the same or at least very similar. #1976

#9 - 2015-02-12 17:39 - skyjake

- Description updated

#10 - 2015-02-12 17:39 - skyjake
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

#11 - 2015-02-12 17:39 - skyjake

- Tags changed from Snowberry, Installer, Client to Snowberry, Installer
#12 - 2015-02-12 17:41 - skyjake

The "officially supported way" is now to simply start the Doomsday executable manually. Later on, when Snowberry is dropped, the installer naturally
has to be updated accordingly but for the time being this should be sufficient.

#13 - 2015-02-12 17:41 - skyjake

- Tags changed from Snowberry, Installer to Snowberry, Client

#14 - 2015-02-12 17:42 - skyjake

- Tags changed from Snowberry, Client to Snowberry, Client, RingZero

#15 - 2015-02-12 17:45 - skyjake

- Related to Feature #1586: Load/manage add-ons from the home screen added

#16 - 2015-02-13 08:41 - skyjake
- Due date deleted (2014-04-20)

#17 - 2015-04-30 14:28 - skyjake
- Due date deleted (2014-04-19)

#18 - 2015-06-05 15:33 - skyjake
- % Done changed from 0 to 100
